Package tigase.server.xmppserver.proc

## Enum S2SAbstractProcessor.Order

- java.lang.Object
- - java.lang.Enum<S2SAbstractProcessor.Order>
  - - tigase.server.xmppserver.proc.S2SAbstractProcessor.Order

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<S2SAbstractProcessor.Order>`
  Enclosing class:
    S2SAbstractProcessor

      protected static enum S2SAbstractProcessor.Order
      extends java.lang.Enum<S2SAbstractProcessor.Order>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Dialback` |
    `SaslExternal` |
    `StartTLS` |
    `StartZlib` |
    `StreamError` |
    `StreamFeatures` |
    `StreamOpen` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static S2SAbstractProcessor.Order` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static S2SAbstractProcessor.Order[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### StreamOpen

          public static final S2SAbstractProcessor.Order StreamOpen

    - #### StreamError

          public static final S2SAbstractProcessor.Order StreamError

    - #### StreamFeatures

          public static final S2SAbstractProcessor.Order StreamFeatures

    - #### StartTLS

          public static final S2SAbstractProcessor.Order StartTLS

    - #### SaslExternal

          public static final S2SAbstractProcessor.Order SaslExternal

    - #### Dialback

          public static final S2SAbstractProcessor.Order Dialback

    - #### StartZlib

          public static final S2SAbstractProcessor.Order StartZlib

  - ### Method Detail

    - #### values

          public static S2SAbstractProcessor.Order[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (S2SAbstractProcessor.Order c : S2SAbstractProcessor.Order.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static S2SAbstractProcessor.Order valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null